Crypto Treasury Holdings Historical Chart Data by ID
curl --request GET \
--url https://api.coingecko.com/api/v3/public_treasury/{entity_id}/{coin_id}/holding_chart \
--header 'x-cg-demo-api-key: <api-key>'{
"holdings": [
[
1748736000000,
580955
],
[
1749340800000,
582000
]
],
"holding_value_in_usd": [
[
1748736000000,
60818730878.617355
],
[
1749340800000,
61506606585.45032
]
]
}Public Treasury
Crypto Treasury Holdings Historical Chart Data by ID
To query historical cryptocurrency holdings chart of public companies and governments by entity ID and coin ID
GET
/
public_treasury
/
{entity_id}
/
{coin_id}
/
holding_chart
Crypto Treasury Holdings Historical Chart Data by ID
curl --request GET \
--url https://api.coingecko.com/api/v3/public_treasury/{entity_id}/{coin_id}/holding_chart \
--header 'x-cg-demo-api-key: <api-key>'{
"holdings": [
[
1748736000000,
580955
],
[
1749340800000,
582000
]
],
"holding_value_in_usd": [
[
1748736000000,
60818730878.617355
],
[
1749340800000,
61506606585.45032
]
]
}Notes
- Find entity IDs via Entities List and coin IDs via Coins List.
- Data available from August 2020 onwards.
-
Historical access varies by plan:
To access longer historical periods, subscribe to a paid plan.
Plan Maximum period daysvaluesDemo / Keyless API 1 year 7, 14, 30, 90, 180, 365Basic 2 years 7, 14, 30, 90, 180, 365, 730Analyst and above Full 7, 14, 30, 90, 180, 365, 730, max -
include_empty_intervals=false(default): only intervals with transactions. Set totrueto return all intervals, filled with the most recent data. - Equivalent page on CoinGecko Strategy Treasury.
SDK Examples
const response = await client.publicTreasury.getHoldingChart('bitcoin', {
entity_id: 'strategy',
days: '365',
});
console.log(JSON.stringify(response, null, 2));
Authorizations
headerAuthqueryAuth
Learn how to set up your API key
Path Parameters
Public company or government entity ID.
*refers to /entities/list.
Coin ID.
e.g. bitcoin, ethereum, solana, binancecoin
Query Parameters
Data up to number of days ago.
Valid values: 7, 14, 30, 90, 180, 365
Include empty intervals with no transaction data.
Default: false
Was this page helpful?
⌘I

